Redeliver an event
curl --request POST \
--url https://api.redbark.com/v2/events/{id}/redeliver \
--header 'Authorization: Bearer <token>' \
--header 'Redbark-Version: <api-key>'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Redbark-Version': '<api-key>'}
};
fetch('https://api.redbark.com/v2/events/{id}/redeliver', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.redbark.com/v2/events/{id}/redeliver"
headers = {
"Authorization": "Bearer <token>",
"Redbark-Version": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text){
"id": "evt_2Hj4Kl6mNp8qRs0tUv2wXy",
"object": "event",
"type": "<string>",
"created": "2026-08-21T09:30:00.000Z",
"livemode": true,
"reason": {
"type": "request",
"request": {
"id": "<string>",
"idempotency_key": "<string>"
}
},
"related_object": {
"id": "<string>",
"type": "<string>",
"url": "<string>"
},
"data": {},
"changes": {},
"deliveries": [
{
"id": "<string>",
"event_destination": "<string>",
"status": "pending",
"attempts": 123,
"next_attempt_at": "2026-08-21T09:30:00.000Z",
"last_attempt_at": "2026-08-21T09:30:00.000Z",
"last_status_code": 123,
"last_error": "<string>"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Events
Redeliver an event
Queues a fresh delivery to every subscribed destination within the 30 day window. Optional JSON body { "event_destination": "ed_…" } limits it to one destination.
POST
/
events
/
{id}
/
redeliver
Redeliver an event
curl --request POST \
--url https://api.redbark.com/v2/events/{id}/redeliver \
--header 'Authorization: Bearer <token>' \
--header 'Redbark-Version: <api-key>'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Redbark-Version': '<api-key>'}
};
fetch('https://api.redbark.com/v2/events/{id}/redeliver', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.redbark.com/v2/events/{id}/redeliver"
headers = {
"Authorization": "Bearer <token>",
"Redbark-Version": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text){
"id": "evt_2Hj4Kl6mNp8qRs0tUv2wXy",
"object": "event",
"type": "<string>",
"created": "2026-08-21T09:30:00.000Z",
"livemode": true,
"reason": {
"type": "request",
"request": {
"id": "<string>",
"idempotency_key": "<string>"
}
},
"related_object": {
"id": "<string>",
"type": "<string>",
"url": "<string>"
},
"data": {},
"changes": {},
"deliveries": [
{
"id": "<string>",
"event_destination": "<string>",
"status": "pending",
"attempts": 123,
"next_attempt_at": "2026-08-21T09:30:00.000Z",
"last_attempt_at": "2026-08-21T09:30:00.000Z",
"last_status_code": 123,
"last_error": "<string>"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Authorizations
Authorization: Bearer rbk_live_...
The API release your integration is built against, e.g. 2026-10-01.wattle. Required on every request.
Path Parameters
The id of the object.
Example:
"evt_2Hj4Kl6mNp8qRs0tUv2wXy"
Response
The event with the new deliveries
Example:
"evt_2Hj4Kl6mNp8qRs0tUv2wXy"
Available options:
event Example:
"2026-08-21T09:30:00.000Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Only on GET /v2/events/{id}
Show child attributes
Show child attributes
⌘I